# Contributing
We love pull requests from everyone.
By participating in this project, you agree to abide by the
[code of conduct](https://opensource.guide/how-to-contribute).

Fork, then clone the repo:
```bash
git clone git@github.com:<username>/iii-client.git
```

Set up your machine:
```bash
npm install --only=development
```

Make sure the tests pass:
```bash
npm run test
```

Make your change.
Add tests for your change.
Make the tests pass:
```bash
npm run check
npm run test
```

Push to your fork and
[submit a pull request](https://github.com/valentineus/iii-client/compare).

Some things that will increase the chance that your pull request is accepted:
* Write tests.
* Follow our
[style guide](https://eslint.org/docs/about).
* Write a
[good commit message](http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html).